\ ==============================================================
\ [TITLE]     8051 ANS Forth MWORDS word set. 
\ [FILE]      MWORDS.FRT
\ [CATEGORY]  Example 
\ [VSN]       1.00 
\ [CREATED]   December 30, 1993, Willem Ouwerkerk 
\ [LASTCHNGD] October 18, 1994, Willem Ouwerkerk 
\ [COPYRIGHT] Dutch Forth Users Group (C) 1994
\ [COMPILE]   CursusForth Environments
\ [MODULE OF] 8051-ANS-Forth 
\ [USES]      ...
\ [AUTHOR]    Willem Ouwerkerk 
\ [PURPOSE]   Show the words in a method vocabulary. USE of
\             FIND-MODIFIER to find the wid of a method.
\ ==============================================================

INTERNAL ALSO

\G Show all words in the method vocabulary of name. When name is
\G not built with DOER: or has no DOES> its code error message
\G -65 will be issued.
: MWORDS    ( "name" -- )               \ Mwords
        FIND-MODIFIER 0= -65 ?ERROR     \ Get buildingwords datafield
        dup voc@ -1 <> if               \ Is it an used method voc. ?
            (WORDS)                     \ Yes, show words in minivoc
        else
            drop ." Invalid method voc. " \ No, its empty
        then
        ;

PREVIOUS  FORTH

                    \ (* End of Source *) /
